body {
    height: 100vh;
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
}

.loading {
    display: flex;
    gap: 10px;
    width: 80px;
    height: 30px;
}

.loading span {
    width: 15px;
    background: #5500FF;
    animation: loading 1.2s cubic-bezier(0, 0.5, 0.14, 1.1) infinite;
    /* transform-origin: bottom; */
}

.loading span:nth-child(2) {
    animation-delay: .1s;
}

.loading span:nth-child(3) {
    animation-delay: .2s;
}

@keyframes loading {
    0% {
        transform: scaleY(2);
    }

    30%,
    100% {
        transform: scaleY(1);
    }
}